> ## Documentation Index
> Fetch the complete documentation index at: https://ai-api-docs.getbreezyapp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List service zones



## OpenAPI

````yaml /openapi.public.json get /company-settings/service-zones
openapi: 3.1.1
info:
  title: Breezy Public API
  version: 1.0.0
  description: Curated Breezy customer API for user JWT and service API key clients.
servers:
  - url: https://ai-api.getbreezyapp.com/api/v1
    description: Production
security:
  - userJwtBearer: []
  - serviceApiKeyBearer: []
tags:
  - name: API Keys
    description: Create, list, reveal, and revoke service API keys.
  - name: Company Settings
    description: Read and update tenant company settings and service zones.
  - name: Contacts
    description: Read contacts and update customer attribution fields.
  - name: Service Requests
    description: Read and triage customer service requests.
  - name: Users
    description: Read public user identity and team user records.
  - name: Webhooks
    description: Create, update, rotate, and delete webhook endpoints.
paths:
  /company-settings/service-zones:
    get:
      tags:
        - Company Settings
      summary: List service zones
      operationId: companySettings.getServiceZones
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  coverageAvailability:
                    type: object
                    properties:
                      states:
                        type: boolean
                      cities:
                        type: boolean
                      zipCodes:
                        type: boolean
                      tigerVintage:
                        anyOf:
                          - type: string
                          - type: 'null'
                    required:
                      - states
                      - cities
                      - zipCodes
                      - tigerVintage
                    additionalProperties: false
                    readOnly: true
                  coverageRollup:
                    anyOf:
                      - type: object
                        properties:
                          states:
                            type: array
                            maxItems: 10
                            items:
                              type: string
                          cities:
                            type: array
                            maxItems: 25
                            items:
                              type: string
                          moreCitiesCount:
                            type: integer
                            minimum: 0
                            maximum: 9007199254740991
                          zipCodes:
                            type: array
                            maxItems: 50
                            items:
                              type: string
                          moreZipCodesCount:
                            type: integer
                            minimum: 0
                            maximum: 9007199254740991
                          computedAt:
                            type: string
                        required:
                          - states
                          - cities
                          - moreCitiesCount
                          - zipCodes
                          - moreZipCodesCount
                          - computedAt
                        additionalProperties: false
                        readOnly: true
                      - type: 'null'
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          pattern: >-
                            ^[\da-f]{8}-[\da-f]{4}-[\da-f]{4}-[\da-f]{4}-[\da-f]{12}$
                          description: Unique identifier (UUID)
                        name:
                          type: string
                        colorIndex:
                          type: integer
                          minimum: 0
                          maximum: 7
                        polygon:
                          type: object
                          properties:
                            type:
                              const: MultiPolygon
                            coordinates:
                              type: array
                              minItems: 1
                              items:
                                type: array
                                minItems: 1
                                items:
                                  type: array
                                  minItems: 4
                                  items:
                                    type: array
                                    prefixItems:
                                      - type: number
                                        minimum: -180
                                        maximum: 180
                                      - type: number
                                        minimum: -90
                                        maximum: 90
                          required:
                            - type
                            - coordinates
                          additionalProperties: false
                        createdAt:
                          type: string
                        updatedAt:
                          type: string
                        coverage:
                          type: object
                          properties:
                            states:
                              type: array
                              maxItems: 10
                              items:
                                type: string
                            cities:
                              type: array
                              maxItems: 100
                              items:
                                type: string
                            zipCodes:
                              type: array
                              maxItems: 500
                              items:
                                type: string
                            moreCitiesCount:
                              type: integer
                              minimum: 0
                              maximum: 9007199254740991
                            moreZipCodesCount:
                              type: integer
                              minimum: 0
                              maximum: 9007199254740991
                          required:
                            - states
                            - cities
                            - zipCodes
                            - moreCitiesCount
                            - moreZipCodesCount
                          additionalProperties: false
                          readOnly: true
                      required:
                        - id
                        - name
                        - colorIndex
                        - polygon
                        - createdAt
                        - updatedAt
                        - coverage
                      additionalProperties: false
                      readOnly: true
                required:
                  - coverageAvailability
                  - coverageRollup
                  - items
                additionalProperties: false
                readOnly: true
      security:
        - userJwtBearer: []
        - serviceApiKeyBearer: []
components:
  securitySchemes:
    userJwtBearer:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        User JWT bearer token. User principals can manage API keys and call
        tenant-scoped customer endpoints.
    serviceApiKeyBearer:
      type: http
      scheme: bearer
      bearerFormat: bzy_live_...
      description: >-
        Service API key bearer token beginning with bzy_live_. Service API keys
        use tenant scope and cannot manage API keys or call user-only endpoints.

````